#ifndef AMAROK_H
#define AMAROK_H

#include <dcopclient.h>
#include <qobject.h>

#include "chat.h"
#include "misc.h"

class AmaroK : public QObject
{
    Q_OBJECT

    public:
        AmaroK();
        ~AmaroK();
        QString getTitle();
        int getLength();
        int getCurrentPos();
        Chat* getCurrentChat();
        QString parse(QString);
        bool isPlaying();

    private:
        QTimer* timer;
        QString currentTitle;
        QString descriptionToUse;
        QString descriptionToSet;
        bool amarokSets;
        QPopupMenu* menu;
        int popups[3];
        DCOPClient* client;

    public slots:
        void putSongTitle(int);
        void chatCreated(const UinsList&);
        void checkTitle();
        void toggleTimer(int);
        void checkStatusDesc(int, QString, bool&);
};


#endif
